Subject: Re: [PATCH/RFC] Re: linux-next: build failure after merge of the luto-misc tree

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Mon, 18 Jul 2016 17:36:34 -0300

Em Mon, Jul 18, 2016 at 01:04:34PM -0700, Andy Lutomirski escreveu:
> On Sun, Jul 17, 2016 at 10:18 PM, Stephen Rothwell <[email-masked]> wrote:
> > On Fri, 15 Jul 2016 12:43:26 -0300 Arnaldo Carvalho de Melo <[email-masked]> wrote:

> >> Ok, same results, it works, queuing this one, ack? Stephen, does it work
> >> for you?

> > Sorry, no.  See my other email.
> >
> > I am cross building (if that makes a difference).

For me to try to reproduce the problem, yes, what is the environment?
Cross-compiling to what target?
 
> I wonder if something's wrong with the way that hostprogs-y works if
> the program includes kernel headers.
> 
> It's plausible that something like this:
> 
> https://git.kernel.org/cgit/linux/kernel/git/luto/linux.git/commit/?h=x86/vdso&id=424eb7848324efbfcffaf58b142db1a455a9628b
> 
> coupled with a change to make vdso2c or, more generally, hostprogs-y
> use USERINCLUDE would help.

There are still files outside tools/ that are being accessed by it, so,
yeah, this may have affected it, I'll try to do a final sweep untangling
this.

- Arnaldo